%define		githash	044d04b
Summary:	Tool for sending PLD-specific build requests
Summary(pl.UTF-8):	Narzędzie do wysyłania żądań budowania specyficznych dla PLD
Name:		make-request
Version:	1.87
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	http://git.pld-linux.org/?p=projects/pld-builder.new.git;a=blob_plain;f=client/make-request.sh;hb=%{githash};/%{name}-%{version}.sh
# Source0-md5:	c191c8b460f0cb47edf1ca51d926b833
URL:		http://git.pld-linux.org/?p=projects/pld-builder.new.git;a=summary
Requires:	/usr/lib/sendmail
Requires:	gnupg
Obsoletes:	pld-builder-client
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A tool which, based on the way it's configured and on the cmdline
parameters given to it, generates an XML-formated build request, which
it then signs with the requester's PGP key (using the gpg utility) and
then sends it to the source builder via a sendmail compatible command
line application (by default invoking "sendmail -t").

Two modes of operation are:
- sending requests to build chosen package(s) on a specified group of
  builders
- sending a chosen command to be executed on a specified group of
  builders

It works with PLD (or compatible) package builders.

%description -l pl.UTF-8
Narzędzie, które w zależności od konfiguracji i parametrów linii
poleceń, generuje żądanie budowania w formacie XML, podpisuje je
kluczem PGP zlecającego (przy użyciu narzędzia gpg), a następnie
wysyła na builder źródłowy przy użyciu polecenia sendmail (domyślnie
"sendmail -t").

Dostępne są dwa tryby operacji:
- wysyłanie żądań zbudowania określonych pakietów na określonej grupie
  builderów
- wysłanie podanego polecenia do wykonania na określonej grupie
  builderów

Narzędzie działa z builderami pakietów PLD (lub kompatybilnymi).

%prep

%build
ver=$(awk -F= '/^VERSION=/{print $2}' %{SOURCE0})
test "$ver" = %{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -p %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%changelog
* Fri May 16 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/make-request.git;a=log;h=master

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 1994cc3
- v1.87: use standard sendmail path, do not rely on postfix or sendmail installation path

* Sun Jan 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 32cec63
- pl, noted that it's PLD-targeted

* Sat Nov 30 2013 Jan Rękorajski <baggins@pld-linux.org> 03bf24e
- update from git

* Sun Sep 29 2013 Elan Ruusamäe <glen@delfi.ee> 05f791d
- update script from git

* Sun Nov 14 2010 Artur Frysiak <artur@frysiak.net> e2bc60f
- 1.84

* Sat Oct 02 2010 Artur Frysiak <artur@frysiak.net> 783a9e2
- 1.81

* Tue Aug 10 2010 Sławomir Paszkiewicz <paszczus@pld-linux.org> 06e16de
- trying to fix Source0 URL

* Mon Aug 09 2010 Sławomir Paszkiewicz <paszczus@pld-linux.org> f0c3752
- updated to 1.77
- switched to proper Source0 URL

* Sun Aug 16 2009 Bartłomiej Zimoń <cactus@pld-linux.org> 372421d
- up to 1.61

* Sat Mar 07 2009 arvenil <arvenil@pld-linux.org> a686f20
- up to 1.56

* Sun Feb 22 2009 arvenil <arvenil@pld-linux.org> a4b6d5a
- up to 1.55

* Tue Nov 11 2008 tommat <tommat@pld-linux.org> e11de81
- ver 1.50

* Sat Jul 26 2008 arvenil <arvenil@pld-linux.org> 21c9865
- typo
- cleanup
- release 2

* Thu Jul 17 2008 Elan Ruusamäe <glen@pld-linux.org> d6986dc
- obsoletes pld-builder-client

* Sat May 10 2008 arvenil <arvenil@pld-linux.org> f51e353
- temporary URL to bypass builder limitation
- release 1

* Sun Mar 30 2008 Elan Ruusamäe <glen@pld-linux.org> b302522
- R: gnupg

* Sun Mar 30 2008 arvenil <arvenil@pld-linux.org> 84cf86c
- initial

